Bullet Collision Detection & Physics Library: btConvexHullComputer::Edge Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | Friends | List of all members
btConvexHullComputer::Edge Class Reference

`#include <btConvexHullComputer.h>`

## Public Member Functions
int | getSourceVertex () const
int | getTargetVertex () const
const Edge * | getNextEdgeOfVertex () const
const Edge * | getNextEdgeOfFace () const
const Edge * | getReverseEdge () const

## Private Attributes
int | next
int | reverse
int | targetVertex

## Friends
class | btConvexHullComputer

## Detailed Description

Definition at line 30 of file btConvexHullComputer.h.

## Member Function Documentation

## ◆ getNextEdgeOfFace()

const Edge * btConvexHullComputer::Edge::getNextEdgeOfFace | ( |  | ) | const
| inline

Definition at line 55 of file btConvexHullComputer.h.

## ◆ getNextEdgeOfVertex()

const Edge * btConvexHullComputer::Edge::getNextEdgeOfVertex | ( |  | ) | const
| inline

Definition at line 50 of file btConvexHullComputer.h.

## ◆ getReverseEdge()

const Edge * btConvexHullComputer::Edge::getReverseEdge | ( |  | ) | const
| inline

Definition at line 60 of file btConvexHullComputer.h.

## ◆ getSourceVertex()

int btConvexHullComputer::Edge::getSourceVertex | ( |  | ) | const
| inline

Definition at line 40 of file btConvexHullComputer.h.

## ◆ getTargetVertex()

int btConvexHullComputer::Edge::getTargetVertex | ( |  | ) | const
| inline

Definition at line 45 of file btConvexHullComputer.h.

## Friends And Related Function Documentation

## ◆ btConvexHullComputer

friend class btConvexHullComputer
| friend

Definition at line 37 of file btConvexHullComputer.h.

## Member Data Documentation

## ◆ next

int btConvexHullComputer::Edge::next
| private

Definition at line 33 of file btConvexHullComputer.h.

## ◆ reverse

int btConvexHullComputer::Edge::reverse
| private

Definition at line 34 of file btConvexHullComputer.h.

## ◆ targetVertex

int btConvexHullComputer::Edge::targetVertex
| private

Definition at line 35 of file btConvexHullComputer.h.

The documentation for this class was generated from the following file:

- btConvexHullComputer.h